﻿@model ViewModels.Access.TopMenuAccessViewModel

<ul class="nav navbar-top-links navbar-left navbar-me">
    <li class="dropdown">
        <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
            <i class="fa fa-user fa-fw fa-big"></i>  <i class="fa fa-caret-down"></i>
        </a>
        <ul class="dropdown-menu dropdown-user">
            <li>
                <a href="/Admin/Profile/Edit"><i class="fa fa-user fa-fw"></i> پروفایل</a>
            </li>
            <li class="divider"></li>
            <li>
                <a href="/Account/SignOut"><i class="fa fa-power-off fa-fw"></i> خروج</a>
            </li>
        </ul>
        <!-- /.dropdown-user -->
    </li>
    @if (Model.HasAccessTo_SiteSeoSetting || Model.HasAccessTo_ContactIfo)
    {
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
                <i class="fa fa-gears fa-fw fa-big"></i>  <i class="fa fa-caret-down"></i>
            </a>
            <ul class="dropdown-menu dropdown-user">
                @if (Model.HasAccessTo_SiteSeoSetting)
                {
                    <li>
                        <a href="/Admin/SiteSeoSetting/Edit/1"><i class="fa fa-gear fa-fw"></i> تنظیمات سئو</a>
                    </li>
                }
                @if (Model.HasAccessTo_ContactIfo)
                {
                    <li>
                        <a href="/Admin/ContactInfo/Edit/1"><i class="fa fa-phone fa-fw"></i> اطلاعات تماس</a>
                    </li>
                }
            </ul>
            <!-- /.dropdown-page -->
        </li>
    }
    @if (Model.HasAccessTo_TopMenuShortContacts || Model.HasAccessTo_ContactUnreadCount)
    {
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
                <i class="fa fa-envelope fa-fw fa-big"></i>
                @if (Model.HasAccessTo_TopMenuShortContacts)
                {
                    <i class="fa fa-caret-down"></i>
                }
                @if (Model.HasAccessTo_ContactUnreadCount)
                {
                    <span class="contact-nav-count">@{ Html.RenderAction("_ContactUnreadCount", "Partial", new { area = "Admin" }); }</span>
                }
            </a>
            @if (Model.HasAccessTo_TopMenuShortContacts)
            {
                <ul class="dropdown-menu dropdown-messages">
                    @{ Html.RenderAction("_TopMenuShortContacts", "Partial", new { area = "Admin" }); }
                    <li>
                        <a class="text-center" href="/Admin/SiteContact/">
                            <strong>مشاهده همه تماس ها</strong>
                        </a>
                    </li>
                </ul>
            }
            <!-- /.dropdown-contact -->
        </li>      
    }
    <li class="dropdown">
        <a class="dropdown-toggle" data-toggle="dropdown" href="javascript:;">
            <i class="fa fa-upload fa-fw fa-big"></i>  <i class="fa fa-caret-down"></i>
        </a>
        <ul class="dropdown-menu dropdown-user">
            <li>
                <a target="_blank" href="/Admin/UploadCenter/Create"><i class="fa fa-upload fa-fw"></i> آپلود فایل</a>
            </li>
            <li>
                <a target="_blank" href="/Admin/UploadCenter/"><i class="fa fa-upload fa-fw"></i> لیست فایل ها</a>
            </li>
        </ul>
        <!-- /.dropdown-page -->
    </li>
    <li class="dropdown">
        <a class="dropdown-toggle" target="_blank" href="/Home">
            <i class="fa fa-home fa-fw fa-big"></i>
        </a>
        <!-- /.dropdown-home -->
    </li>
</ul>